## khtml 5.38.0

=== debian/changelog ===
khtml (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:27 +0100

khtml (5.37.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.37.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:51:26 +0100

khtml (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:55:53 +0100

khtml (5.35.0-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add new required build depend on gperf executable

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 23:01:37 +0100

khtml (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:29:27 +0100

khtml (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:11:39 +0100

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.38.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.38.0~),
               libkf5codecs-dev (>= 5.38.0~),
               libkf5globalaccel-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5iconthemes-dev (>= 5.38.0~),
               libkf5kio-dev (>= 5.38.0~),
               libkf5kjs-dev (>= 5.38.0~),
               libkf5notifications-dev (>= 5.38.0~),
               libkf5parts-dev (>= 5.38.0~),
               libkf5sonnet-dev (>= 5.38.0~),
               libkf5textwidgets-dev (>= 5.38.0~),
               libkf5wallet-dev (>= 5.38.0~),
               libkf5widgetsaddons-dev (>= 5.38.0~),
               libkf5windowsystem-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.6.1~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml

Package: libkf5khtml-dev
Architecture: any
Section: libdevel
Depends: libkf5archive-dev (>= 5.38.0~),
         libkf5globalaccel-dev (>= 5.38.0~),
         libkf5i18n-dev (>= 5.38.0~),
         libkf5iconthemes-dev (>= 5.38.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.38.0~),
         libkf5kjs-dev (>= 5.38.0~),
         libkf5notifications-dev (>= 5.38.0~),
         libkf5parts-dev (>= 5.38.0~),
         libkf5sonnet-dev (>= 5.38.0~),
         libkf5wallet-dev (>= 5.38.0~),
         libkf5widgetsaddons-dev (>= 5.38.0~),
         libkf5windowsystem-dev (>= 5.38.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5-data
Replaces: libkf5khtml5-data
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

## khtml 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project(KHtml VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)


set(REQUIRED_QT_VERSION 5.7.0)
find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Widgets Network DBus PrintSupport Xml)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

# Most of KJS doesn't even require Qt, thus we can't use Q_DECL_OVERRIDE
string(REPLACE "-Wsuggest-override" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5JS ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Wallet ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX KHTML
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
                        SOVERSION 5)

find_package(Perl)
set_package_properties(Perl PROPERTIES
                       URL "http://www.perl.org"
                       TYPE REQUIRED
                       PURPOSE "Required for generating JS bindings for elements"
                      )

if(NOT APPLE)
  find_package(X11)
  set(HAVE_X11 ${X11_FOUND})
endif()

find_package(Phonon4Qt5 4.6.60)
set_package_properties(Phonon4Qt5 PROPERTIES
                      DESCRIPTION "Qt Multimedia Library"
                      URL "http://phonon.kde.org"
                      TYPE REQUIRED
                      PURPOSE "Required for HTML5 multimedia elements"
                     )

find_package(JPEG)
set_package_properties(JPEG PROPERTIES DESCRIPTION "JPEG decoding library"
                       URL "http://www.ijg.org"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying JPEG images"
                      )

find_package(GIF)
set_package_properties(GIF PROPERTIES DESCRIPTION "GIF decoding library"
                       URL "http://sourceforge.net/projects/giflib"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying GIF images"
                      )

find_package(PNG)
set_package_properties(PNG PROPERTIES DESCRIPTION "PNG decoding library"
                       URL "http://www.libpng.org/pub/png"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying PNG images"
                      )

if(NOT WIN32 AND NOT APPLE AND X11_FOUND)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
endif()

find_package(Gperf REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

add_definitions(-DENABLE_SVG)
add_definitions(-DENABLE_SVG_FONTS)
add_definitions(-DWTF_PLATFORM_QT)

set(KHTML_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(KHTML_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/src)

add_definitions(-DTRANSLATION_DOMAIN=\"khtml5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
if(BUILD_TESTING)
  add_subdirectory(tests)
  add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KHtml")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KHtmlConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KHtmlTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KHtmlTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

install(FILES khtml.categories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
kde_enable_exceptions()

find_package(OpenSSL)
set_package_properties(OpenSSL PROPERTIES DESCRIPTION "Support for secure network communications (SSL and TLS)"
                       URL "http://openssl.org"
                       TYPE RECOMMENDED
                       PURPOSE "KDE uses OpenSSL for the bulk of secure communications, including secure web browsing via HTTPS"
                      )
if(OPENSSL_FOUND)
   set(KSSL_HAVE_SSL 1)
   include_directories(${OPENSSL_INCLUDE_DIR})
endif()

configure_file(config-khtml.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-khtml.h )

set(khtmlgraphics_STAT_SRCS
  platform/graphics/AffineTransform.cpp
  platform/graphics/FloatPoint.cpp
  platform/graphics/FloatRect.cpp
  platform/graphics/FloatSize.cpp
  platform/graphics/IntRect.cpp
  platform/graphics/Path.cpp
  platform/graphics/GraphicsTypes.cpp
  platform/graphics/PathTraversalState.cpp
  #platform/graphics/Image.cpp
  #platform/MIMETypeRegistry.cpp
  platform/graphics/qt/AffineTransformQt.cpp
  platform/graphics/qt/FloatPointQt.cpp
  platform/graphics/qt/FloatRectQt.cpp
  platform/graphics/qt/IntPointQt.cpp
  platform/graphics/qt/IntRectQt.cpp
  platform/graphics/qt/IntSizeQt.cpp
  platform/graphics/qt/PathQt.cpp
  #platform/qt/MIMETypeRegistryQt.cpp
)

set(khtmlsvg_STAT_SRCS
  svg/SVGDocument.cpp
  svg/SVGSVGElement.cpp
  svg/SVGStyledLocatableElement.cpp
  svg/SVGLocatable.cpp
  svg/SVGStyledElement.cpp
  svg/SVGStylable.cpp
  svg/SVGElement.cpp
  svg/SVGLength.cpp
  svg/SVGTransformable.cpp
  svg/SVGTransform.cpp
  svg/SVGAngle.cpp
  svg/SVGDocumentExtensions.cpp
  svg/SVGParserUtilities.cpp
  svg/SVGTransformDistance.cpp
  svg/SVGTransformList.cpp
  svg/SVGStringList.cpp
  svg/SVGStyledTransformableElement.cpp
  svg/SVGTests.cpp
  svg/SVGLangSpace.cpp
  svg/SVGExternalResourcesRequired.cpp
  svg/SVGRectElement.cpp
  svg/SVGPreserveAspectRatio.cpp
  svg/SVGFitToViewBox.cpp
  svg/SVGCircleElement.cpp
  svg/SVGStyleElement.cpp
  svg/SVGEllipseElement.cpp
  svg/SVGPointList.cpp
  svg/SVGAnimatedPoints.cpp
  svg/SVGPolyElement.cpp
  svg/SVGPolygonElement.cpp
  svg/SVGPolylineElement.cpp
  svg/SVGAnimatedPathData.cpp
  svg/SVGPathSegArc.cpp
  svg/SVGPathSegClosePath.cpp
  svg/SVGPathSegCurvetoCubic.cpp
  svg/SVGPathSegCurvetoCubicSmooth.cpp
  svg/SVGPathSegCurvetoQuadratic.cpp
  svg/SVGPathSegCurvetoQuadraticSmooth.cpp
  svg/SVGPathSegLineto.cpp
  svg/SVGPathSegLinetoHorizontal.cpp
  svg/SVGPathSegLinetoVertical.cpp
  svg/SVGPathSegList.cpp
  svg/SVGPathSegMoveto.cpp
  svg/SVGPathElement.cpp
  svg/SVGURIReference.cpp
  svg/SVGStopElement.cpp
  svg/SVGGradientElement.cpp
  svg/SVGLinearGradientElement.cpp
  svg/SVGRadialGradientElement.cpp
  svg/SVGDefsElement.cpp
  svg/SVGClipPathElement.cpp
  svg/SVGGElement.cpp
  svg/SVGElementInstance.cpp
  svg/SVGElementInstanceList.cpp
  svg/SVGUseElement.cpp
  svg/SVGLineElement.cpp
  svg/SVGTextPathElement.cpp
  svg/SVGTextContentElement.cpp
  svg/SVGNumberList.cpp
  svg/SVGTextPositioningElement.cpp
  svg/SVGLengthList.cpp
  svg/SVGTextElement.cpp
  svg/SVGAElement.cpp
  svg/SVGScriptElement.cpp
  svg/SVGTitleElement.cpp
  svg/SVGDescElement.cpp
  svg/SVGNames.cpp
  svg/SVGZoomAndPan.cpp
  svg/SVGViewSpec.cpp
  svg/SVGTSpanElement.cpp
  svg/SVGGlyphElement.cpp
  svg/SVGAltGlyphElement.cpp
  svg/SVGHKernElement.cpp
  svg/SVGMissingGlyphElement.cpp
  svg/SVGFontElement.cpp
  svg/SVGFontData.cpp
#############################################################
## GRAPHICS #################################################
#############################################################
  svg/graphics/SVGResource.cpp
  svg/graphics/SVGPaintServer.cpp
  svg/graphics/qt/SVGPaintServerQt.cpp
  svg/graphics/SVGPaintServerSolid.cpp
  svg/graphics/qt/SVGPaintServerSolidQt.cpp
  svg/graphics/SVGResourceClipper.cpp
  svg/graphics/qt/SVGResourceClipperQt.cpp
  svg/graphics/SVGPaintServerGradient.cpp
  svg/graphics/SVGPaintServerLinearGradient.cpp
  svg/graphics/SVGPaintServerRadialGradient.cpp
  svg/graphics/qt/SVGPaintServerGradientQt.cpp
  svg/graphics/qt/SVGPaintServerLinearGradientQt.cpp
  svg/graphics/qt/SVGPaintServerRadialGradientQt.cpp
#############################################################
## RENDERING PART BELOW   ###################################
#############################################################
  rendering/RenderSVGRoot.cpp
  rendering/RenderPath.cpp
  rendering/SVGRenderStyleDefs.cpp
  rendering/SVGRenderStyle.cpp
  rendering/RenderSVGGradientStop.cpp
  rendering/RenderSVGContainer.cpp
  rendering/SVGRenderSupport.cpp
  rendering/RenderSVGHiddenContainer.cpp
  rendering/RenderSVGTransformableContainer.cpp
  rendering/SVGInlineFlowBox.cpp
  rendering/SVGRootInlineBox.cpp
  rendering/RenderSVGTextPath.cpp
  rendering/SVGInlineTextBox.cpp
  rendering/SVGCharacterLayoutInfo.cpp
  rendering/RenderSVGInline.cpp
  rendering/RenderSVGText.cpp
  rendering/RenderSVGBlock.cpp
  rendering/RenderSVGInlineText.cpp
  rendering/RenderSVGTSpan.cpp
)

# khtml/dom/Makefile.am: khtmldom

set(khtmldom_STAT_SRCS
  dom/dom_misc.cpp
  dom/html_block.cpp
  dom/html_inline.cpp
  dom/css_rule.cpp
  dom/dom_node.cpp
  dom/html_document.cpp
  dom/html_list.cpp
  dom/css_stylesheet.cpp
  dom/dom_string.cpp
  dom/html_element.cpp
  dom/html_misc.cpp
  dom/css_value.cpp
  dom/dom_text.cpp
  dom/html_object.cpp
  dom/dom_doc.cpp
  dom/dom_xml.cpp
  dom/html_head.cpp
  dom/dom_element.cpp
  dom/html_base.cpp
  dom/html_image.cpp
  dom/html_form.cpp
  dom/dom2_range.cpp
  dom/html_table.cpp
  dom/dom2_traversal.cpp
  dom/dom2_events.cpp
  dom/dom2_views.cpp
  dom/QualifiedName.cpp
  dom/dom3_xpath.cpp
)

#set_source_files_properties(${khtmldom_STAT_SRCS} PROPERTIES COMPILE_FLAGS ${KDE_ENABLE_EXCEPTIONS})

# khtml/misc/Makefile.am: khtmlmisc

set(khtmlmisc_STAT_SRCS
  misc/loader.cpp
  misc/helper.cpp
  misc/arena.cpp
  misc/stringit.cpp
  misc/paintbuffer.cpp
  misc/imagefilter.cpp
  misc/borderarcstroker.cpp
  misc/idstring.cpp
  misc/htmlnames.cpp
  misc/AtomicString.cpp
  misc/woff.cpp
  misc/guess_ja.cpp
  misc/kencodingdetector.cpp
)

set(khtmlediting_STAT_SRCS
  editing/jsediting.cpp
  editing/editing.cpp
  editing/editor.cpp
  editing/htmlediting_impl.cpp
)

set(khtmlfind_STAT_SRCS
  ui/findbar/khtmlfind.cpp
  ui/findbar/khtmlfindbar.cpp
)

ki18n_wrap_ui(khtmlfind_STAT_SRCS
  ui/findbar/khtmlfindbar_base.ui
)

set(passwordbar_STAT_SRCS
  ui/passwordbar/storepassbar.cpp
)

ki18n_wrap_ui(passwordbar_STAT_SRCS
  ui/passwordbar/storepassbar_base.ui
)

# khtml/html/Makefile.am: khtmlhtml

set(khtmlhtml_STAT_SRCS
  html/htmlparser.cpp
  html/htmltokenizer.cpp
  html/htmlprospectivetokenizer.cpp
  html/dtd.cpp
  html/html_headimpl.cpp
  html/html_blockimpl.cpp
  html/html_elementimpl.cpp
  html/html_inlineimpl.cpp
  html/html_documentimpl.cpp
  html/html_baseimpl.cpp
  html/html_imageimpl.cpp
  html/html_listimpl.cpp
  html/html_miscimpl.cpp
  html/html_formimpl.cpp
  html/html_objectimpl.cpp
  html/html_tableimpl.cpp
  html/html_canvasimpl.cpp
  html/HTMLMediaElement.cpp
  html/HTMLAudioElement.cpp
  html/HTMLVideoElement.cpp
  html/HTMLSourceElement.cpp
  html/TimeRanges.cpp
  html/ksslkeygen.cpp
  html/kopenssl.cpp
  html/kentities.cpp
)
ecm_gperf_generate(html/doctypes.gperf ${CMAKE_CURRENT_BINARY_DIR}/doctypes.h khtmlhtml_STAT_SRCS
                   GENERATION_FLAGS "--key-positions=*")
ecm_gperf_generate(html/kentities.gperf ${CMAKE_CURRENT_BINARY_DIR}/kentities-gperf.h khtmlhtml_STAT_SRCS
                   GENERATION_FLAGS "--key-positions=* -D -s 2")

# khtml/ecma/Makefile.am: kjs_html

set(EXCLUDE_SRCS_FILES
${CMAKE_CURRENT_BINARY_DIR}/doctypes.h
${CMAKE_CURRENT_BINARY_DIR}/kentities-gperf.h
${CMAKE_CURRENT_BINARY_DIR}/JSTimeRanges.h
${CMAKE_CURRENT_BINARY_DIR}/JSMediaError.h
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLMediaElement.h
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLAudioElement.h
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLVideoElement.h
${CMAKE_CURRENT_BINARY_DIR}/JSTimeRanges.cpp
${CMAKE_CURRENT_BINARY_DIR}/JSMediaError.cpp
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLMediaElement.cpp
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLAudioElement.cpp
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLVideoElement.cpp
)

set_property(SOURCE ${EXCLUDE_SRCS_FILES} PROPERTY SKIP_AUTOMOC TRUE) # don't run automoc on this file

set(kjs_html_STAT_SRCS
  ecma/kjs_binding.cpp
  ecma/kjs_dom.cpp
  ecma/kjs_html.cpp
  ecma/kjs_window.cpp
  ecma/kjs_navigator.cpp
  ecma/kjs_proxy.cpp
  ecma/kjs_css.cpp
  ecma/kjs_range.cpp
  ecma/kjs_traversal.cpp
  ecma/kjs_events.cpp
  ecma/kjs_views.cpp
#  ecma/kjs_debugwin.cpp
  ecma/kjs_mozilla.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSTimeRanges.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSTimeRanges.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSMediaError.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSMediaError.cpp
  ecma/JSHTMLElement.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLMediaElement.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLMediaElement.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLAudioElement.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLAudioElement.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLVideoElement.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLVideoElement.cpp
  ecma/xmlhttprequest.cpp
  ecma/xmlserializer.cpp
  ecma/domparser.cpp
  ecma/kjs_context2d.cpp
  ecma/kjs_audio.cpp
  ecma/kjs_xpath.cpp
  ecma/kjs_scriptable.cpp
  ecma/kjs_data.cpp
  ecma/kjs_arraybuffer.cpp
  ecma/kjs_arraybufferview.cpp
  ecma/kjs_arraytyped.cpp
  ecma/kjs_clientrect.cpp
)

# TODO: set(KJS_DEBUGGER) once we can depend on the ktexteditor interfaces
if (KJS_DEBUGGER)
  set (kjs_html_STAT_SRCS ${kjs_html_STAT_SRCS}
  ecma/debugger/debugwindow.cpp
  ecma/debugger/debugdocument.cpp
  ecma/debugger/consoledock.cpp
  ecma/debugger/breakpointsdock.cpp
  ecma/debugger/callstackdock.cpp
  ecma/debugger/localvariabledock.cpp
  ecma/debugger/scriptsdock.cpp
  ecma/debugger/value2string.cpp
  ecma/debugger/errordlg.cpp
  ecma/debugger/interpreter_ctx.cpp
  )
endif()

#qt5_add_resources( kjs_html_STAT_SRCS ecma/debugger/debugger.qrc )

# khtml/rendering/Makefile.am: khtmlrender

set(khtmlrender_STAT_SRCS
  rendering/bidi.cpp
  rendering/break_lines.cpp
  rendering/render_block.cpp
  rendering/render_inline.cpp
  rendering/render_style.cpp
  rendering/render_object.cpp
  rendering/render_container.cpp
  rendering/render_box.cpp
  rendering/render_flow.cpp
  rendering/render_text.cpp
  rendering/render_arena.cpp
  rendering/render_layer.cpp
  rendering/render_image.cpp
  rendering/render_table.cpp
  rendering/table_layout.cpp
  rendering/render_replaced.cpp
  rendering/render_form.cpp
  rendering/render_list.cpp
  rendering/render_canvas.cpp
  rendering/render_frames.cpp
  rendering/render_br.cpp
  rendering/render_body.cpp
  rendering/font.cpp
  rendering/render_line.cpp
  rendering/render_generated.cpp
  rendering/enumerate.cpp
  rendering/counter_tree.cpp
  rendering/render_canvasimage.cpp
  rendering/render_position.cpp
  rendering/render_media.cpp
  rendering/media_controls.cpp
)

# khtml/css/Makefile.am: khtmlcss

set(khtmlcss_STAT_SRCS
  css/css_stylesheetimpl.cpp
  css/css_ruleimpl.cpp
  css/css_valueimpl.cpp
  css/css_svgvalueimpl.cpp
  css/css_base.cpp
  css/cssparser.cpp
  css/cssstyleselector.cpp
  css/csshelper.cpp
  css/parser.cpp
  css/css_renderstyledeclarationimpl.cpp
  css/css_mediaquery.cpp
  css/css_svgcssparser.cpp
  css/SVGCSSStyleSelector.cpp
  css/css_webfont.cpp
)

# khtml/xml/Makefile.am: khtmlxml

set(khtmlxml_STAT_SRCS
  xml/security_origin.cpp
  xml/dom_docimpl.cpp
  xml/dom_nodeimpl.cpp
  xml/dom_nodelistimpl.cpp
  xml/dom_textimpl.cpp
  xml/dom_elementimpl.cpp
  xml/dom_stringimpl.cpp
  xml/dom2_rangeimpl.cpp
  xml/dom2_traversalimpl.cpp
  xml/xml_tokenizer.cpp
  xml/dom_xmlimpl.cpp
  xml/dom2_eventsimpl.cpp
  xml/dom2_viewsimpl.cpp
  xml/dom_restyler.cpp
  xml/ClassNames.cpp
  xml/dom_position.cpp
  xml/dom_positioniterator.cpp
  xml/dom_selection.cpp
  xml/wa_selectors.cpp
  xml/dom3_xpathimpl.cpp
)

# khtml/imload/Makefile.am: khtmlimload

set(khtmlimload_STAT_SRCS
  imload/imageplane.cpp
  imload/rawimageplane.cpp

=== debian/changelog ===
khtml (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:36 +0000

khtml (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:13 +0000

khtml (5.42.0-0ubuntu1) bionic; urgency=medium

  * Install khtml.categories file
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:21:20 +0000

khtml (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:05:16 -0600

khtml (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:17 +0000

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.44.0~),
               libkf5codecs-dev (>= 5.44.0~),
               libkf5globalaccel-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5kjs-dev (>= 5.44.0~),
               libkf5notifications-dev (>= 5.44.0~),
               libkf5parts-dev (>= 5.44.0~),
               libkf5sonnet-dev (>= 5.44.0~),
               libkf5textwidgets-dev (>= 5.44.0~),
               libkf5wallet-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.6.1~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5-data
Replaces: libkf5khtml5-data
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Architecture: any
Section: libdevel
Depends: libkf5archive-dev (>= 5.44.0~),
         libkf5globalaccel-dev (>= 5.44.0~),
         libkf5i18n-dev (>= 5.44.0~),
         libkf5iconthemes-dev (>= 5.44.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.44.0~),
         libkf5kjs-dev (>= 5.44.0~),
         libkf5notifications-dev (>= 5.44.0~),
         libkf5parts-dev (>= 5.44.0~),
         libkf5sonnet-dev (>= 5.44.0~),
         libkf5wallet-dev (>= 5.44.0~),
         libkf5widgetsaddons-dev (>= 5.44.0~),
         libkf5windowsystem-dev (>= 5.44.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5khtml5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/portingAids/khtml-([\d.]+)\.tar\.xz

## khtml 5.50.0

=== debian/changelog ===
khtml (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:13:15 +0100

khtml (5.49.0-0ubuntu2) cosmic; urgency=medium

  * ACC test: add statx to skip_types, fixes the ACC test with glibc >=
    2.28

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 27 Aug 2018 00:48:02 +0100

khtml (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:30:07 +0100

khtml (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:49:03 +0100

khtml (5.46.0-1) unstable; urgency=medium

  * Update symbols files
  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:03 +0200

khtml (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:15 +0100

khtml (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Use openssl 1.1 (Closes: 859853)
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:42 +0200

khtml (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:04 +0100

khtml (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:42:44 +0100

khtml (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:16 +0100

khtml (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:10 +0100

khtml (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.38.0).
  * New upstream release (5.41.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.2.
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:41:45 -0300

khtml (5.37.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file.
  * Drop obsolete kio-dev build dependency (libkf5kio-dev is already there).
  * Drop obsolete breaks/replaces for old versions, or for packages never part
    of Debian.
  * Replace kio-dev dependency with libkf5kio-dev.
  * Remove unused ${shlibs:Depends} substvar from libkf5khtml-data.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Oct 2017 11:53:30 +0200

khtml (5.37.0-2) sid; urgency=medium

  * New revision
  * Update symbols file
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:11 +0200

khtml (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Update symbols file
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:44:11 +0200

khtml (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patches
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Let autopkgtest take care of the build required for the test
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:58 +0200

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.50.0~),
               libkf5codecs-dev (>= 5.50.0~),
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5kjs-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5parts-dev (>= 5.50.0~),
               libkf5sonnet-dev (>= 5.50.0~),
               libkf5textwidgets-dev (>= 5.50.0~),
               libkf5wallet-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libkf5xmlgui-dev (>= 5.50.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.8.0~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Architecture: any
Section: libdevel
Depends: libkf5archive-dev (>= 5.50.0~),
         libkf5globalaccel-dev (>= 5.50.0~),
         libkf5i18n-dev (>= 5.50.0~),
         libkf5iconthemes-dev (>= 5.50.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.50.0~),
         libkf5kjs-dev (>= 5.50.0~),
         libkf5notifications-dev (>= 5.50.0~),
         libkf5parts-dev (>= 5.50.0~),
         libkf5sonnet-dev (>= 5.50.0~),
         libkf5wallet-dev (>= 5.50.0~),
         libkf5widgetsaddons-dev (>= 5.50.0~),
         libkf5windowsystem-dev (>= 5.50.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

## khtml 5.54.0

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.54.0~),
               libkf5codecs-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5kjs-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5parts-dev (>= 5.54.0~),
               libkf5sonnet-dev (>= 5.54.0~),
               libkf5textwidgets-dev (>= 5.54.0~),
               libkf5wallet-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.9.0~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khtml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khtml.git

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.54.0~),
         libkf5globalaccel-dev (>= 5.54.0~),
         libkf5i18n-dev (>= 5.54.0~),
         libkf5iconthemes-dev (>= 5.54.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.54.0~),
         libkf5kjs-dev (>= 5.54.0~),
         libkf5notifications-dev (>= 5.54.0~),
         libkf5parts-dev (>= 5.54.0~),
         libkf5sonnet-dev (>= 5.54.0~),
         libkf5wallet-dev (>= 5.54.0~),
         libkf5widgetsaddons-dev (>= 5.54.0~),
         libkf5windowsystem-dev (>= 5.54.0~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox
Restrictions: build-needed, allow-stderr

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags
# Restrictions: allow-stderr

## khtml 5.54.0.1+rb2

=== debian/changelog ===
khtml (5.54.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Jan 2021 09:54:05 +0800

khtml (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Disable acc autopkgtest
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:04 -0300

khtml (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:07 +0100

khtml (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:17:46 +0200

khtml (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update symbols files
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:24 +0200

## khtml 5.56.0

=== debian/changelog ===
khtml (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:35:51 +0000

khtml (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:31:06 +0000

khtml (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:51 +0000

khtml (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:48:35 +0000

khtml (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:42:05 +0000

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.56.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.56.0~),
               libkf5codecs-dev (>= 5.56.0~),
               libkf5globalaccel-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5iconthemes-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5kjs-dev (>= 5.56.0~),
               libkf5notifications-dev (>= 5.56.0~),
               libkf5parts-dev (>= 5.56.0~),
               libkf5sonnet-dev (>= 5.56.0~),
               libkf5textwidgets-dev (>= 5.56.0~),
               libkf5wallet-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libkf5windowsystem-dev (>= 5.56.0~),
               libkf5xmlgui-dev (>= 5.56.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.8.0~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Architecture: any
Section: libdevel
Depends: libkf5archive-dev (>= 5.55.0~),
         libkf5globalaccel-dev (>= 5.55.0~),
         libkf5i18n-dev (>= 5.55.0~),
         libkf5iconthemes-dev (>= 5.55.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.55.0~),
         libkf5kjs-dev (>= 5.55.0~),
         libkf5notifications-dev (>= 5.55.0~),
         libkf5parts-dev (>= 5.55.0~),
         libkf5sonnet-dev (>= 5.55.0~),
         libkf5wallet-dev (>= 5.55.0~),
         libkf5widgetsaddons-dev (>= 5.55.0~),
         libkf5windowsystem-dev (>= 5.55.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
